Summary:	X font alias databases
Summary(pl.UTF-8):	Baza aliasów fontów X
Name:		xorg-font-font-alias
Version:	1.0.5
Release:	1
License:	MIT
Group:		Fonts
Source0:	https://xorg.freedesktop.org/releases/individual/font/font-alias-%{version}.tar.xz
# Source0-md5:	79f4c023e27d1db1dfd90d041ce89835
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-font-font-util >= 1.2
BuildRequires:	xorg-util-util-macros >= 1.20
BuildRequires:	xz
Requires(post,postun):	fontpostinst
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X font alias databases.

%description -l pl.UTF-8
Baza aliasów fontów X.

%prep
%setup -q -n font-alias-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if "%{_host_cpu}" != "x32"
	--build=%{_host} \
	--host=%{_host} \
%endif
	--with-fontrootdir=%{_fontsdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

for d in 100dpi 75dpi cyrillic misc ; do
	%{__mv} $RPM_BUILD_ROOT%{_fontsdir}/$d/fonts.alias $RPM_BUILD_ROOT%{_fontsdir}/$d/fonts.alias.xorg
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst 100dpi
fontpostinst 75dpi
fontpostinst cyrillic
fontpostinst misc

%postun
fontpostinst 100dpi
fontpostinst 75dpi
fontpostinst cyrillic
fontpostinst misc

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%{_fontsdir}/100dpi/fonts.alias.xorg
%{_fontsdir}/75dpi/fonts.alias.xorg
%{_fontsdir}/cyrillic/fonts.alias.xorg
%{_fontsdir}/misc/fonts.alias.xorg
%changelog
* Wed Mar 01 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-font-font-alias.git;a=log;h=master

* Wed Mar 01 2023 Jakub Bogusz <qboosh@pld-linux.org> de806e0
- updated to 1.0.5

* Sun Aug 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 46be872
- skip noarch hack on x32

* Sun Aug 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 7eba69c
- BR: font-util >= 1.2

* Sun Aug 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 0efcf22
- updated to 1.0.4

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 665fdb7
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> ed0cde2
- dropped pre-cvs changelog

* Tue Oct 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 537ec1a
- updated to 1.0.3

* Sat Oct 17 2009 Jakub Bogusz <qboosh@pld-linux.org> 7ec2c67
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version, BR: font-util

* Mon Oct 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 214ba5e
- up to 1.0.2

* Sun Oct 21 2007 Marcin Banasiak <marcin.banasiak@gmail.com> b7ea9cc
- BA: noarch
- release 2

* Sun Apr 01 2007 Jakub Bogusz <qboosh@pld-linux.org> b3a989e
- fontpostinst support (to allow fonts.alias fragments from other packages)
- release 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e8ed323
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1c9a3b5
- converted to UTF-8

* Tue Jan 03 2006 Jakub Bogusz <qboosh@pld-linux.org> ba6a763
- 1.0.1 (X11R7.0 release)

* Mon Dec 05 2005 Jakub Bogusz <qboosh@pld-linux.org> 35923d0
- use system fontsdir

* Mon Dec 05 2005 Jakub Bogusz <qboosh@pld-linux.org> efb827d
- use 0.99.0 sources from X11R7.0-RC3

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 900f748
- pkgconfig epoch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> c1b1908
- cleanups, better Group; TODO: use PLD fonts infrastructure

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> fa3a1ef
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a3bbf4
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

